aboutsummaryrefslogtreecommitdiffstats
path: root/005
diff options
context:
space:
mode:
authorChristoph Hellwig <hch@brick.lst.de>2009-06-22 18:29:05 +0200
committerChristoph Hellwig <hch@brick.lst.de>2009-06-22 18:29:05 +0200
commit4fbcf2a3b92b86d2a847c212b320d6adc1cdfcc5 (patch)
treef2b575aa0385aead844026985472358799e5ef41 /005
downloadqemu-iotests-4fbcf2a3b92b86d2a847c212b320d6adc1cdfcc5.tar.gz
Initial import into the public repository.
Diffstat (limited to '005')
-rwxr-xr-x00566
1 files changed, 66 insertions, 0 deletions
diff --git a/005 b/005
new file mode 100755
index 0000000..e3458fd
--- /dev/null
+++ b/005
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# Make sure qemu-img can create 5TB images
+#
+# Based on a testcase from Chris Wright,
+# https://bugzilla.redhat.com/show_bug.cgi?id=491943
+#
+# Copyright (C) 2009 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA
+#
+
+# creator
+owner=hch@lst.de
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+
+_cleanup()
+{
+ _cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# vpc is limited to 127GB, so we can't test it here
+_supported_fmt generic
+_supported_os Linux
+
+
+echo
+echo "creating large image"
+_make_test_img 5000G
+
+echo
+echo "small read"
+$QEMU_IO -c "read 1024 4096" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "small write"
+$QEMU_IO -c "read 8192 4096" $TEST_IMG | _filter_qemu_io
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0